Subject: Another proposal by Chapple

From: Marc Snir <[email-masked]>
Date: Wed, 13 Jul 1994 14:32:48 -0400

:-) :-) :-) *** (-: (-: (-:

Chapple proposes to add to MPI a "null status pointer".  If a communication
function that receives a status (array of statuses) argument is passed,
instead, the value MPI_STATUS_NULL, then this function need not return a status
for the completed communication(s).  This allows to save the cost of setting
status information when this information is not needed, at the expense of an
additional test.

This proposal needs to be refined somewhat (e.g., status and array_of_statuses
are not of the same type).

Since this is additional functionality, not a correction of the current
definition, I would suggest to postpone discussion of this suggestion
to a later date.